import { TagStyleProps } from './types';
export declare const FlexDiv: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const IconWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const Tag: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagSubtle: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagNeutral: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagPositive: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagError: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagInfo: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagWarning: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagBrand: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagGhost: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagNeutralAlternative: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
export declare const TagOutline: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TagStyleProps, never>;
